DateTimeDateFormat (Apache Log4j 1.2.17 API)
Date: 2012-05-06

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.log4j.helpers
Class DateTimeDateFormat

    java.lang.Object
      java.text.Format
          java.text.DateFormat
              org.apache.log4j.helpers.AbsoluteTimeDateFormat
                  org.apache.log4j.helpers.DateTimeDateFormat

All Implemented Interfaces:
  Serializable, Cloneable

    public class DateTimeDateFormat

extends AbsoluteTimeDateFormat

Formats a `Date` in the format "dd MMM yyyy HH:mm:ss,SSS" for example, "06 Nov 1994 15:49:37,459".

Since:
  0.7.5
Author:
  Ceki Gülcü
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class java.text.DateFormat
`DateFormat.Field`

Field Summary

Fields inherited from class org.apache.log4j.helpers.AbsoluteTimeDateFormat
`ABS_TIME_DATE_FORMAT, DATE_AND_TIME_DATE_FORMAT, ISO8601_DATE_FORMAT`

Fields inherited from class java.text.DateFormat
`AM_PM_FIELD, calendar, DATE_FIELD, DAY_OF_WEEK_FIELD, DAY_OF_WEEK_IN_MONTH_FIELD, DAY_OF_YEAR_FIELD, DEFAULT, ERA_FIELD, FULL, HOUR_OF_DAY0_FIELD, HOUR_OF_DAY1_FIELD, HOUR0_FIELD, HOUR1_FIELD, LONG, MEDIUM, MILLISECOND_FIELD, MINUTE_FIELD, MONTH_FIELD, numberFormat, SECOND_FIELD, SHORT, TIMEZONE_FIELD, WEEK_OF_MONTH_FIELD, WEEK_OF_YEAR_FIELD, YEAR_FIELD`

Constructor Summary
`DateTimeDateFormat()`
`DateTimeDateFormat(TimeZone timeZone)`

Method Summary
`StringBuffer` | `format(Date date, StringBuffer sbuf, FieldPosition fieldPosition)` Appends to `sbuf` the date in the format "dd MMM yyyy HH:mm:ss,SSS" for example, "06 Nov 1994 08:49:37,459".
`Date` | `parse(String s, ParsePosition pos)` This method does not do anything but return `null`.

Methods inherited from class java.text.DateFormat
`clone, equals, format, format, getAvailableLocales, getCalendar, getDateInstance, getDateInstance, getDateInstance, getDateTimeInstance, getDateTimeInstance, getDateTimeInstance, getInstance, getNumberFormat, getTimeInstance, getTimeInstance, getTimeInstance, getTimeZone, hashCode, isLenient, parse, parseObject, setCalendar, setLenient, setNumberFormat, setTimeZone`

Methods inherited from class java.text.Format
`format, formatToCharacterIterator, parseObject`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DateTimeDateFormat

    public DateTimeDateFormat()

### DateTimeDateFormat

    public DateTimeDateFormat(TimeZone timeZone)

Method Detail

### format

    public StringBuffer format(Date date,
                               StringBuffer sbuf,
                               FieldPosition fieldPosition)

  Appends to `sbuf` the date in the format "dd MMM yyyy HH:mm:ss,SSS" for example, "06 Nov 1994 08:49:37,459".

  Overrides:
    `format` in class `AbsoluteTimeDateFormat`
  Parameters:
    `sbuf` - the string buffer to write to
    `date` - the date to format
    `fieldPosition` - remains untouched

### parse

    public Date parse(String s,
                      ParsePosition pos)

  This method does not do anything but return `null`.

  Overrides:
    `parse` in class `AbsoluteTimeDateFormat`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2012 Apache Software Foundation. All Rights Reserved.